<?php
include ("../conexion.php"); 
include ("../funciones/fechas.php"); 

      
		
$accion=$_POST["accion"];
if (!isset($accion)) { $accion=$_GET["accion"]; }

echo $feccie=$_POST["fechainicio"];
echo $fecfin=$_POST["fechafin"];
     $horape=$_POST["horape"]; 
$cdgcaj=$_POST["cdgcaj"];
$monsis=$_POST["sistema"];

if (!isset($_POST["menudo"]))  { $monefe="0"; } else  { $monefe=$_POST["menudo"]; } 
if (!isset($_POST["ck"]))      { $moncks="0"; } else  { $moncks=$_POST["ck"]; } 
if (!isset($_POST["voucher"])) { $monvou="0"; } else  { $monvou=$_POST["voucher"];  } 
if (!isset($_POST["dolares"])) { $mondol="0"; } else  { $mondol=$_POST["dolares"]; } 
if (!isset($_POST["monval"]))  { $monval="0"; } else  { $monval=$_POST["monval"];} 
if (!isset($_POST["monotr"]))  { $monotr="0"; } else  { $monotr=$_POST["monotr"];} 

$mondif=$_POST["diferencia"];
$totfac=$_POST["totfac"];
$totrec=$_POST["totrec"];
$totnotcre=$_POST["totnotcre"];
$totnotdeb=$_POST["totnotdeb"];
$totcre=$_POST["totcre"];

if (!isset($_POST["totval"])) { $totval="0"; } else  { $totval=$_POST["totval"];  } 
if (!isset($_POST["totcom"])) { $totcom="0"; } else  { $totcom=$_POST["totcom"];  } 
if (!isset($_POST["totent"])) { $totent="0"; } else  { $totent=$_POST["totent"];  } 
if (!isset($_POST["totsal"])) { $totsal="0"; } else  { $totsal=$_POST["totsal"];  } 
if (!isset($_POST["totade"])) { $totade="0"; } else  { $totade=$_POST["totade"];  } 
if (!isset($_POST["totimpser"])) { $totimpser="0"; } else  { $totimpser=$_POST["totimpser"];  } 

$monapecaj=$_POST["monapecaj"];

if (!isset($_POST["imprimir"])) { $imprimir="0"; } else  { $imprimir=$_POST["imprimir"];  } 


if  ($imprimir == "apertura"){

  $estcie=1 ;
 
  $mondig=0;
  
  $horape=date("H:i:s");

  } else  { 
  
  $mondig=$monefe+$moncks+$mondol+$monval+$monvou+$monotr;

  $estcie=0 ;

  $horcie=$_POST["horcie"];
  if($horcie==""){
  $horcie=date("H:i:s");
  } else  {
  $horcie=$_POST["horcie"]; 
  }
 
 
  }


$cincuentamil=$_POST["cincuentamil"];
$cincuentamil2=$_POST["cincuentamil2"];
$veintemil=$_POST["veintemil"];
$veintemil2=$_POST["veintemil2"];
$diezmil=$_POST["diezmil"];
$diezmil2=$_POST["diezmil2"];
$cincomil=$_POST["cincomil"];
$cincomil2=$_POST["cincomil2"];
$dosmil=$_POST["dosmil"];
$dosmil2=$_POST["dosmil2"];
$mil=$_POST["mil"];
$mil2=$_POST["mil2"];
$quinientos=$_POST["quinientos"];
$quinientos2=$_POST["quinientos2"];
$cien=$_POST["cien"];
$cien2=$_POST["cien2"];
$cincuenta=$_POST["cincuenta"];
$cincuenta2=$_POST["cincuenta2"];
$veinticinco=$_POST["veinticinco"];
$veinticinco2=$_POST["veinticinco"];
$diez=$_POST["diez"];
$diez2=$_POST["diez"];
$cinco=$_POST["cinco"];
$cinco=$_POST["cinco"];
$tipcamdol=$_POST["tipcamdol"];
$candol=$_POST["candol"];

	
 ////////////////////////////////////////////////////   insert del cierre de caja  /////////////////////////////////

		if ($accion=="alta"){

	$query_operacion="INSERT INTO cierres (numcie, feccie,  fecfin, cdgcaj,monapecaj, monsis, mondig, monefe, moncks, monvou, mondol,monval, mondif,totfac, totcre, totrec, totnotcre,  totnotdeb, cincuentamil, veintemil, diezmil, cincomil, dosmil, mil, quinientos, cien, cincuenta, veinticinco, diez, cinco, tipcamdol, candol, estcie, totval, totcom, totent, totsal , totade, totimpser , monotr , horcie, horape ) VALUES ('', '$feccie', '$fecfin',  '$cdgcaj', '$monapecaj', '$monsis','$mondig', '$monefe', '$moncks', '$monvou','$mondol','$monval','$mondif','$totfac','$totcre','$totrec','$totnotcre','$totnotdeb','$cincuentamil','$veintemil','$diezmil', '$cincomil','$dosmil','$mil','$quinientos','$cien','$cincuenta','$veinticinco','$diez','$cinco' ,'$tipcamdol' ,'$candol' ,'$estcie' ,'$totval' ,'$totcom','$totent','$totsal' ,'$totade' ,'$totimpser' ,'$monotr' ,'$horcie' ,'$horape')";				
		$mysqli->query($query_operacion);
		$numcie= $mysqli-> insert_id ;



	}
		
	
	
	
		if ($accion=="modificar"){
			
		
	 $numcie=strtoupper ($_POST["numcie"]);	
			
	$consulta1 = "DELETE FROM cierres WHERE numcie ='$numcie'";
	$mysqli->query($consulta1);
			

	$query_operacion="INSERT INTO cierres (numcie, feccie, fecfin,  cdgcaj, monapecaj, monsis, mondig, monefe, moncks, monvou, mondol,monval, mondif,totfac, totcre, totrec, totnotcre, totnotdeb, cincuentamil, veintemil, diezmil, cincomil, dosmil, mil, quinientos, cien, cincuenta, veinticinco, diez, cinco , tipcamdol, candol, estcie , totval, totcom, totent, totsal , totade, totimpser , monotr  , horcie, horape) VALUES ('', '$feccie',  '$fecfin',  '$cdgcaj', '$monapecaj', '$monsis','$mondig', '$monefe', '$moncks', '$monvou','$mondol','$monval','$mondif','$totfac','$totcre','$totrec','$totnotcre','$totnotdeb','$cincuentamil','$veintemil','$diezmil', '$cincomil','$dosmil','$mil','$quinientos','$cien','$cincuenta','$veinticinco','$diez','$cinco' ,'$tipcamdol' ,'$candol'  ,'$estcie' ,'$totval' ,'$totcom','$totent','$totsal' ,'$totade','$totimpser' ,'$monotr' ,'$horcie' ,'$horape')";				
	$mysqli->query($query_operacion);
	$numcie= $mysqli-> insert_id ;



	}



?>

	
	<script language="javascript">
		var cursor;
		if (document.all) {
		// Está utilizando EXPLORER
		cursor='hand';
		} else {
		// Está utilizando MOZILLA/NETSCAPE
		cursor='pointer';
		}
		
		function aceptar() {
			location.href="index.php";
		}
		
		function imprimir(numcie) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
		
		parent.location.href="index.php";
		window.open("../fpdf/imprimir_cierre_Punto_Venta.php?numcie=" + numcie);
		//window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);
		//location.href="index.php";
	
		}
		
				function finalizar(numcie) {
		//	window.open("../fpdf/imprimir_factura.php?codfactura="+codfactura);
		
		parent.location.href="index.php";
		//window.open("../fpdf/imprimir_cierre_TERMICA.php?numcie=" + numcie);
		//window.open("../fpdf/imprimir_Copia.php?codfactura="+codfactura);
		//location.href="index.php";
	
		}
		
		
		
		function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		</script>
<?php 
		

if  ($imprimir == "apertura"){

echo "<script>";
echo "finalizar($numcie);";
echo "</script>";
	

} else {

echo "<script>";
echo "imprimir($numcie);";
echo "</script>";	

} 


?>

